# Uses of Class
org.snpeff.pdb.IdMapperEntry

Packages that use IdMapperEntry
Package
Description
org.snpeff.pdb

## Uses of IdMapperEntry in org.snpeff.pdb

Classes in org.snpeff.pdb that implement interfaces with type arguments of type IdMapperEntry
Modifier and Type
Class
Description
`class`
`IdMapperEntry`
An entry in a ID mapping file
Methods in org.snpeff.pdb that return IdMapperEntry
Modifier and Type
Method
Description
`IdMapperEntry`
IdMapperEntry.`cloneAndSet(String chainId, int pdbAaLen, int trAaLen)`
Clone the object and return a copy having a different chain ID
Methods in org.snpeff.pdb that return types with arguments of type IdMapperEntry
Modifier and Type
Method
Description
`List<IdMapperEntry>`
IdMapper.`getByPdbId(String id)`
`List<IdMapperEntry>`
IdMapper.`getByPdbId(String id, String chainId)`
`List<IdMapperEntry>`
ProteinInteractions.`getByProteinId(String proteinId)`
`List<IdMapperEntry>`
IdMapper.`getByTrId(String id)`
`Collection<IdMapperEntry>`
IdMapper.`getEntries()`
Methods in org.snpeff.pdb with parameters of type IdMapperEntry
Modifier and Type
Method
Description
`void`
IdMapper.`add(IdMapperEntry ime)`
`int`
IdMapperEntry.`compareTo(IdMapperEntry o)`
Method parameters in org.snpeff.pdb with type arguments of type IdMapperEntry
Modifier and Type
Method
Description
`void`
IdMapper.`addAll(Collection<IdMapperEntry> imes)`
`static Set<String>`
IdMapper.`transcriptIds(List<IdMapperEntry> ids)`